Just bought a DSi XL..

Discussion in 'NDS - Flashcarts and Accessories' started by visualise-this, Sep 30, 2010.

  1. visualise-this
    OP

    visualise-this Member

    Newcomer
    2
    Feb 19, 2007
    Hey Guys.

    I just bought a DSi XL. It has firmware 4.1.1 and i've just purchased an Acekard 2i DSi Flash Card. Will this work off the bat with my DSi and can I update my DSi to the latest firmware without a problem?
     
  2. haddad

    haddad GBAtemp Advanced Maniac

    Member
    2
    Aug 12, 2010
    Canada
    If ur DSi XL is 1.4
    =Just run the 1.4.1 update on ur acekard via ur DSi XL THEN update ur DSi XL to 1.4.1

    If ur DSi XL is 1.4.1
    =You need to update ur acekard via DS Lite, then you can run ur acekard on ur 1.4.1 DSi XL
     
  3. trumpet-205

    trumpet-205 Embrace the darkness within

    Member
    5
    Jan 14, 2009
    United States
    Actually, I believe all Acekard 2i are shipped with 1.3 compatibility only. Meaning you will need a DS Lite to upgrade it.
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice